<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- @author Dmitry Repchevsky -->

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core">

    <h:head>
        <style type="text/css">
            
        </style>   
    </h:head>
    <body>
        <ui:composition id="main">
            <f:websocket channel="search_query_result" scope="view" onmessage="function(message, channel, event) {
                                         var id = document.getElementById('result_' + message).parentElement.id;
                                         var rend = id + ' form:bn-logo';
                                         var params = {'endpoint': message};
                                         jsf.ajax.request(id, event, {'execute': '@none', 'render': rend, 'params': params});
                                      }" />
            <div class="main-panel">
                <div style="width: 90%; margin: 0px auto 0px auto; text-align: center">
                    <ui:repeat value="#{config.infos}" var="entry">
                        <div class="beacon-logo">
                            <h:graphicImage
                                class="logo-url"
                                value="#{entry.value.response.organization.logoUrl}"
                                rendered="#{not empty entry.value.response.organization.logoUrl}" />
                            <div class="tooltip">
                                <h:outputText value="#{entry.value.response.description}"
                                    rendered="#{not empty entry.value.response.description}"/>
                            </div>
                        </div>
                    <!--<h:outputText value="#{entry.value.meta.beaconId}"/>-->
                    </ui:repeat>
                </div>
                <div style="width: 90%; margin: 0px auto 0px auto;">
                    <h:outputText class="search-label" value="query:"/>
                    <div style="display: inline-block; width:80%">
                        <h:inputText id="search"
                            value="#{bn.query}"
                            autocomplete="off"
                            class="search-string"
                            onkeydown="return (event.keyCode === 13)"
                            onkeyup="return (event.keyCode !== 13)">
                            <f:ajax execute="@this skip limit" render="endpoints bn-logo" event="keyup" listener="#{bn.analyze}"/>   
                            <f:ajax immediate='true' render="bn-logo" event="keydown" listener="#{bn.submit}"/>
                        </h:inputText>
                        <h:inputText id="skip" class="skip" value="#{bn.skip}" a:placeholder="skip" autocomplete="off">
                            <f:ajax event="keyup" listener="#{bn.analyze}"/>
                        </h:inputText>
                        <h:inputText id="limit" class="limit" value="#{bn.limit}" a:placeholder="limit" autocomplete="off">
                            <f:ajax event="keyup" listener="#{bn.analyze}"/>
                        </h:inputText>
                    </div>
                    <h:panelGroup id="endpoints">
                        <c:forEach items="#{bn.endpoints}" var='endpoint' varStatus="loop">
                            <h:panelGroup id="endpoint#{loop.index}">
                                <ui:include src="results/endpoint.xhtml">
                                    <ui:param name="endpoint" value="#{endpoint.value}" />
                                </ui:include>
                            </h:panelGroup>
                        </c:forEach>
                    </h:panelGroup>
                </div>                    
            </div>
        </ui:composition>
    </body>
</html>